commit:     36a49dd1b188c34165301448ac0d4851911e3cfd
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri Apr  2 09:36:14 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri Apr  2 11:15:57 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36a49dd1

dev-ruby/atomic: add ruby30; fix extension

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/atomic/atomic-1.1.101-r1.ebuild | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/dev-ruby/atomic/atomic-1.1.101-r1.ebuild 
b/dev-ruby/atomic/atomic-1.1.101-r1.ebuild
new file mode 100644
index 00000000000..a30e90d0040
--- /dev/null
+++ b/dev-ruby/atomic/atomic-1.1.101-r1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit multilib ruby-fakegem
+
+DESCRIPTION="An atomic reference implementation for JRuby, Rubinius, and MRI"
+HOMEPAGE="https://github.com/headius/ruby-atomic";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       # Avoid compilation dependencies since we compile directly.
+       sed -i -e '/:test => :compile/ s:^:#:' \
+               -e '/extensiontask/,/end/ s:^:#:' Rakefile || die
+}

Reply via email to